ObjectARX
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

AcDb3dSolid info

7 REPLIES 7
Reply
Message 1 of 8
Anonymous
613 Views, 7 Replies

AcDb3dSolid info

Can I get some info on this arx object AcDb3dSolid.
I would like to find out how I could remove it's grips and how have it drawn in
a loction other than 0,0,0 maybe 1220,305,40? just some way that I can have
it in a location that I tell it to progmaticly. I could not find it in the docs
one of its built in functions.

 

Thanks,

Andy
size=2>
7 REPLIES 7
Message 2 of 8
Anonymous
in reply to: Anonymous

Hi Andy,

 

To move it, you'd call the entity's transformBy()
function and pass in a translation matrix.

 

To remove the grips, you can derive from
AcDb3dSolid and override the grippoints functions in your own
implementation.


Cheers,

 

Stephen Preston
Developer Technical Services
Autodesk

href="http://adn.autodesk.com">http://adn.autodesk.com

 

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">

Can I get some info on this arx object
AcDb3dSolid. I would like to find out how I could remove it's grips and how
have it drawn in a loction other than 0,0,0 maybe 1220,305,40? just some way
that I can have it in a location that I tell it to progmaticly. I could
not find it in the docs one of its built in functions.

 

Thanks,

Andy
size=2>
Message 3 of 8
Anonymous
in reply to: Anonymous

What type of 3dSolid would I need to use to have a
user edited 3d solid (pretty much a mass element with less grips) but has the
chamfering properties as a 3d solid. I did a search on mass elements in the
arx help files but nothing turned up.

 

Thanks,

Andy


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">

Hi Andy,

 

To move it, you'd call the entity's transformBy()
function and pass in a translation matrix.

 

To remove the grips, you can derive from
AcDb3dSolid and override the grippoints functions in your own
implementation.


Cheers,

 

Stephen Preston
Developer Technical Services
Autodesk

href="http://adn.autodesk.com">http://adn.autodesk.com

 

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">

Can I get some info on this arx object
AcDb3dSolid. I would like to find out how I could remove it's grips and how
have it drawn in a loction other than 0,0,0 maybe 1220,305,40? just some way
that I can have it in a location that I tell it to progmaticly. I could
not find it in the docs one of its built in functions.

 

Thanks,

Andy
size=2>
Message 4 of 8
Anonymous
in reply to: Anonymous

Stephen,

 

To derive from AcDb3DSolid and override the grips
would need custom object, right?

 

Thanks!

-Lou


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">

Hi Andy,

 

To move it, you'd call the entity's transformBy()
function and pass in a translation matrix.

 

To remove the grips, you can derive from
AcDb3dSolid and override the grippoints functions in your own
implementation.


Cheers,

 

Stephen Preston
Developer Technical Services
Autodesk

href="http://adn.autodesk.com">http://adn.autodesk.com

 

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">

Can I get some info on this arx object
AcDb3dSolid. I would like to find out how I could remove it's grips and how
have it drawn in a loction other than 0,0,0 maybe 1220,305,40? just some way
that I can have it in a location that I tell it to progmaticly. I could
not find it in the docs one of its built in functions.

 

Thanks,

Andy
size=2>
Message 5 of 8
Anonymous
in reply to: Anonymous

Of course. If you derive from any AcDbEntity, you
end up with a custom entity - by definition.

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">

Stephen,

 

To derive from AcDb3DSolid and override the grips
would need custom object, right?

 

Thanks!

-Lou


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">

Hi Andy,

 

To move it, you'd call the entity's
transformBy() function and pass in a translation matrix.

 

To remove the grips, you can derive from
AcDb3dSolid and override the grippoints functions in your own
implementation.


Cheers,

 

Stephen Preston
Developer Technical Services
Autodesk

href="http://adn.autodesk.com">http://adn.autodesk.com

 

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">

Can I get some info on this arx object
AcDb3dSolid. I would like to find out how I could remove it's grips and
how have it drawn in a loction other than 0,0,0 maybe 1220,305,40? just
some way that I can have it in a location that I tell it to
progmaticly. I could not find it in the docs one of its built in
functions.

 

Thanks,

Andy
size=2>
Message 6 of 8
Anonymous
in reply to: Anonymous

Hi Andy,

 

I'm not sure I understand what you're
after.

 

AcDb3dSolid is a container for an Autodesk Shape
Manager (or ACIS before 2002) solid. AcDb3dSolids all behave the same - its the
contained solid that differs. The methods to create various ASM shapes are
all described in the AcDb3dSolid entry in the helpfiles. In AutoCAD, pretty much
the only programmatic editing you can do is a Boolean operation. More complex
programmatic editing functions are available in MDT.

 

You should be able to chamfer any AcDb3dSolid
(regardless of its shape) using the UI (modify menu).

size=2>

Cheers,

 

Stephen Preston
Developer Technical Services
Autodesk

href="http://adn.autodesk.com">http://adn.autodesk.com

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">

What type of 3dSolid would I need to use to have
a user edited 3d solid (pretty much a mass element with less grips) but has
the chamfering properties as a 3d solid. I did a search on mass elements
in the arx help files but nothing turned up.

 

Thanks,

Andy


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
face=Arial size=2>
 
Message 7 of 8
Anonymous
in reply to: Anonymous

Stephen ,

    What I'm looking to-do is have a
solid that can stretch or shrink with set grip points this could be done with
the AcDbSolid but I also need to have the option of chamfering with a user
supplied value that would be the AcDb3dSolid but then I lose the stretch
command.

The shapes will not be complex just rectangles
nothing more than that. So what I guess I need is AcDbSolid and AcDb3dSolid
(chamfer command), not sure that this is possible but that is what I would need.
I'm currently using ADT so I don't have MDT to check it out. Any ideas on how I
could over come this?

 

Thanks,

Andy E


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">

Hi Andy,

 

I'm not sure I understand what you're
after.

 

AcDb3dSolid is a container for an Autodesk Shape
Manager (or ACIS before 2002) solid. AcDb3dSolids all behave the same - its
the contained solid that differs. The methods to create various ASM
shapes are all described in the AcDb3dSolid entry in the helpfiles. In
AutoCAD, pretty much the only programmatic editing you can do is a Boolean
operation. More complex programmatic editing functions are available in MDT.

 

You should be able to chamfer any AcDb3dSolid
(regardless of its shape) using the UI (modify menu).

size=2>

Cheers,

 

Stephen Preston
Developer Technical Services
Autodesk

href="http://adn.autodesk.com">http://adn.autodesk.com

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">

What type of 3dSolid would I need to use to
have a user edited 3d solid (pretty much a mass element with less grips) but
has the chamfering properties as a 3d solid. I did a search on mass
elements in the arx help files but nothing turned up.

 

Thanks,

Andy


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
face=Arial
size=2>
 
Message 8 of 8
varadan01
in reply to: Anonymous

Hi

How to set grip point  using createbox methods in acdb3dsolid Class.Man Indifferent

With Regards,
GVaradarajan

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost